Skip to main content
PATCH
Update a sync source

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Source id

Body

application/json
rules
object
interval_minutes
integer
storage_mode
enum<string>

mirror copies files into the space; shadow keeps them in SharePoint

Available options:
mirror,
shadow
state
enum<string>

Source state

Available options:
active,
paused
regrant
boolean
setup_session
string

Required with regrant

Response

Success

id
string

Source id

tenant_id
string

Microsoft tenant id

site
object
drive
object
root
object
target
object
storage_mode
enum<string>

mirror copies files into the space; shadow keeps them in SharePoint

Available options:
mirror,
shadow
rules
object
interval_minutes
integer
state
string

active or paused

attention
object
stats
object
created_by
string

Creator user id

created_at
string<date-time>